public class Chest implements IInventory {
 
    private Item[] items;
    
    public Chest(int size) {
        items = new Item[size];
    }
    
    @Override
    public int getInventorySize() {
        return items.length;
    }
    
    @Override
    public boolean setContent(int pos, Item item) {
        items[pos] = item;
        return true;
    }
    
    @Override
    public Item getContent(int pos) {
        return items[pos];
    }
}