package Items;

import Units.Player;

public abstract class Item {
    
    private char symbol;
    private String name;
    
    public Item(char symbol, String name) {
        this.symbol = symbol;
        this.name = name;
    }
    
    
    public String getName() {
        return name;
    }
    
    public char getMapSymbol() {
        return symbol;
    }
    
    //return true to consume
    public abstract boolean useItem(Player player);

    
}