package World;

import Units.Player;
import Items.Item;

public class Loot extends Location {
    
    private Item item;
    
    public Loot(Item item) {
        super(item.getMapSymbol());
        this.item = item;
    }
    
    @Override
    public void onPlayerArrive(Player player) {
        if (item != null) {
            if (player.pickUpItem(item)) {
                item = null;
                setMapSymbol(' ');
            }
        }
    }    
    
}