package World;

import Units.Player;

public class Mine extends Location {
    

    private int damage;
   
    public Mine(int damage) {
        super(damage >= 10 ? 'X' : 'x');
        this.damage = damage;
    }
    
    @Override
    public void onPlayerArrive(Player player) {
        if (damage != 0) {
            player.decreaseHealth(damage);
            damage = 0;
            setMapSymbol(' ');
        }
    }
}