package example.client;

import org.lwjgl.opengl.GL11;

import net.minecraft.client.renderer.entity.Render;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;

public class RenderBomb extends Render {

	private ModelBomb model;
	
	public RenderBomb() {
		model = new ModelBomb();
		shadowSize = 0.5F;
	}
	
	private static final ResourceLocation texture = new ResourceLocation("example", "textures/models/Bomb.png");
	
	@Override
	public void doRender(Entity entity, double x, double y, double z, float yaw, float partialTickTime) {
		GL11.glPushMatrix();
		GL11.glTranslatef((float)x, (float)y, (float)z);
		GL11.glScalef(-1F, -1F, 1F);
		
		func_110777_b(entity);
		model.render(entity, 0, 0, 0, 0, 0, 0.0625F);
		
		GL11.glPopMatrix();
	}

	@Override
	protected ResourceLocation func_110775_a(Entity entity) {
		return texture;
	}

}
