package example.client.interfaces;

import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.inventory.GuiContainer;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.util.ResourceLocation;

import org.lwjgl.opengl.GL11;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import example.tileentities.TileEntityMachine;

@SideOnly(Side.CLIENT)
public class GuiMachine extends GuiContainer {

	public GuiMachine(InventoryPlayer invPlayer, TileEntityMachine machine) {
		super(new ContainerMachine(invPlayer, machine));
		
		xSize = 176;
		ySize = 154;
	}

	private static final ResourceLocation texture = new ResourceLocation("example", "textures/gui/machine.png");
	
	@Override
	protected void drawGuiContainerBackgroundLayer(float f, int x, int y) {
		GL11.glColor4f(1, 1, 1, 1);
		
		Minecraft.getMinecraft().func_110434_K().func_110577_a(texture);
		drawTexturedModalRect(guiLeft, guiTop, 0, 0, xSize, ySize);
	}

}
