package example.config;

import java.io.File;

import example.blocks.BlockInfo;
import example.items.ItemInfo;

import net.minecraftforge.common.Configuration;

public class ConfigHandler {


	
	public static void init(File file) {
		Configuration config = new Configuration(file);
		
		config.load();
		
		BlockInfo.MACHINE_ID = config.getBlock(BlockInfo.MACHINE_KEY, BlockInfo.MACHINE_DEFAULT).getInt();
		BlockInfo.BOMB_ID = config.getBlock(BlockInfo.BOMB_KEY, BlockInfo.BOMB_DEFAULT).getInt();
		BlockInfo.POISON_ID = config.getBlock(BlockInfo.POISON_KEY, BlockInfo.POISON_DEFAULT).getInt();
		BlockInfo.COLOR_ID = config.getBlock(BlockInfo.COLOR_KEY, BlockInfo.COLOR_DEFAULT).getInt();
		
		ItemInfo.WAND_ID = config.getItem(ItemInfo.WAND_KEY, ItemInfo.WAND_DEFAULT).getInt() - 256;
		ItemInfo.CARD_ID = config.getItem(ItemInfo.CARD_KEY, ItemInfo.CARD_DEFAULT).getInt() - 256;
		ItemInfo.DROID_ID = config.getItem(ItemInfo.DROID_KEY, ItemInfo.DROID_DEFAULT).getInt() - 256;
		ItemInfo.CHARGER_ID = config.getItem(ItemInfo.CHARGER_KEY, ItemInfo.CHARGER_DEFAULT).getInt() - 256;
		
		config.save();
		
	}
	
}
