package gui;


import java.awt.geom.Area;
import java.awt.geom.Ellipse2D;
import java.awt.Color;



public class FireIcon extends Icon {   
    public FireIcon(IconHolder owner, int number) {
        super(owner, number);
    }

    @Override
    protected Area getArea() { 
        //create the fire ellipse
        Area fire = new Area(new Ellipse2D.Float(x, y, 40, 34));
        
        return  fire;
    }
    
    @Override
    protected Color getFilledColor() {
        return Color.yellow;
    }
    
    @Override 
    protected float getBorderLength(){
        return 116;
    }
    
}

