package inventory;


import java.awt.Color;
import dragons.PlayerDragon;

public class HealthPotion extends Potion {
 
    public HealthPotion(String name, int amount) {
        super(name, amount);
    }
    
    @Override
    public Color getPotionColor() {
        return Color.red;
    }
    
    @Override
    public void useItem(PlayerDragon player) {
        player.healMe(3);
        --amount;
    }    
}