import java.util.Scanner;

public class StringExample {
    
    public static void main(String[] args) {
        Scanner myScanner = new Scanner(System.in);
        
        //Print the question
        System.out.println("What's your favorite type of food?");
        System.out.println("1. Pizza?");
        System.out.println("2. Fish Custard?");
        System.out.println("3. Cake?");
        
        //Store the answer, convert it to lower case to be case independent
        String answer = myScanner.nextLine();
        answer = answer.toLowerCase();
        
        //Check if the answer is a number, if so store that as the answerId
        int answerId = 0;
        if (answer.length() == 1 && Character.isDigit(answer.charAt(0))) {
            answerId = Integer.valueOf(answer);
        }
        
        //Print a response depending on the answer and the answerId
        if (answer.equals("pizza") || answerId == 1) {
            System.out.println("It's pretty nice, isn't it?");
        }else if (answer.equals("fish custard") || answerId == 2) {
            System.out.println("Yummy :)");
        }else if (answer.equals("cake") || answerId == 3) {
            System.out.println("Cake!");
        }
    }

}