public class EnumExample {
 
    public static void main(String[] args) {
        Armor[] armory = {
            new Armor("Shiny sandals", ArmorTypes.BOOTS, 2),
            new Armor("Solar helmet", ArmorTypes.HELMET, 1),
            new Armor("Pants of Gas Protection", ArmorTypes.LEGGINGS, 5),
            new Armor("Top Hat", ArmorTypes.HELMET, 2)
        };
        
        System.out.println("Do you have any hats/helmets?");
        for (Armor armor : armory) {
            if (armor.getArmorTypes() == ArmorTypes.HELMET) {
                System.out.println("Here's one! A " + armor.getName() + " it look like");
            }
        }
        
        for (ArmorTypes type : ArmorTypes.values()) {
            printHitPercentage(type);
        }
    }
    
    
    private static void printStrikePercentage(ArmorTypes type) {
        System.out.println("There's a " + type.getStrikePercentage() + "% chance to strike the " + type.toString().toLowerCase() + ".");
    }
    
}