import java.util.EnumSet;

public class Font {
 
    private String fontFamily;
    private EnumSet<FontStyles> styles;
    private int size;
    
    public Font(String fontFamily, EnumSet<FontStyles> styles, int size) {
        this.fontFamily = fontFamily;
        this.styles = styles;
        this.size = size;
    }
    
    public void printFontInfo() {
        String str = fontFamily + " with size " + size + " and ";
        
        if (styles.size() == 0) {
            str += "no specific styles.";
        }else{
            str += "the following styles:";
            for (FontStyles style : styles) {
                str += " " + style.toString().toLowerCase();
            }
        }

  
        System.out.println(str);
    }
    
}