public abstract class BaseCart implements IInventory, IDamageable {
    
    private int maxSpeed;
    protected Item item;
    private boolean isDead;
    
    public BaseCart(int maxSpeed) {
        this.maxSpeed = maxSpeed;
    }
    
    @Override
    public int getInventorySize() {
        return 1;
    }
    
    @Override
    public Item getContent(int pos) {
        return item;
    }
    
    @Override
    public void takeDamage(int damage) {
        if (damage > 0) {
            isDead = true;
        }
    }
    
    @Override
    public boolean isDead() {
        return isDead;
    }

}