package Items;

import Units.Player;

public class HealthPotion extends Potion {
 
    private int health;
    private int usesLeft;
    
    public HealthPotion(String name, int health, int uses) {
        super('H', name, uses);
        this.health = health;
    }

    @Override
    public void activatePotionEffect(Player player) {
        player.heal(health);
    }
    
}