import java.util.Random;
public class Pot implements IContainer {
    
    private Item item;
    private boolean isDead;
    private Random random;
    
    public Pot() {
        random = new Random();
    }
    
    @Override
    public int getInventorySize() {
        return 1;
    }
    
    @Override
    public boolean setContent(int pos, Item item) {
        this.item = item;
        return true;
    }
    
    @Override
    public Item getContent(int pos) {
        return item;
    }
    
    @Override
    public void takeDamage(int damage) {
        if (damage > 0) {
            isDead = true;
        }
    }
    
    @Override
    public boolean isDead() {
        return isDead;
    }
    
    @Override
    public void respawnContent() {
        isDead = false;
        item = new Item("Coin", 1, random.nextInt(20) + 10);
    }
}