package example.blocks;

import net.minecraft.block.Block;
import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.common.registry.LanguageRegistry;
import example.items.ItemMachine;

public class Blocks {

	public static Block machine;
	
	public static void init() {
		machine = new BlockMachine(BlockInfo.MACHINE_ID);
		GameRegistry.registerBlock(machine, ItemMachine.class, BlockInfo.MACHINE_KEY);
	}
	
	public static void addNames() {
		LanguageRegistry.addName(machine, BlockInfo.MACHINE_NAME);
	}
	
}
