package example.client;

import org.lwjgl.opengl.GL11;

import net.minecraft.client.renderer.entity.Render;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;
import example.entities.EntityDroid;

public class RenderDroid extends Render {

	private ModelDroid model;

	public RenderDroid() {
		model = new ModelDroid();
		shadowSize = 0.5F;
	}
	

	private static final ResourceLocation texture = new ResourceLocation("example", "textures/models/droid.png");
	
	public void renderDroid(EntityDroid droid, double x, double y, double z, float yaw, float partialTickTime) {
		GL11.glPushMatrix();
		GL11.glTranslatef((float)x, (float)y, (float)z);
		GL11.glScalef(-1F, -1F, 1F);

		func_110777_b(droid);
		
		model.render(droid, 0F, 0F, 0F, 0F, 0F, 0.0625F);
		
		GL11.glPopMatrix();
	}


	@Override
	protected ResourceLocation func_110775_a(Entity entity) {
		return texture;
	}
	
	
	
	@Override
	public void doRender(Entity entity, double x, double y, double z, float yaw, float partialTickTime) {
		renderDroid((EntityDroid)entity, x, y, z, yaw, partialTickTime);
	}
}
