package example.items;

import example.client.interfaces.GuiColor;

public class ItemInfo {

	public static final String TEXTURE_LOCATION = "example";

	public static int WAND_ID;
	public static final String WAND_KEY = "Wand";
	public static final int WAND_DEFAULT = 24201;
	
	public static final String WAND_UNLOCALIZED_NAME = "rocketWand";
	public static final String WAND_NAME = "Wand of the Rocket";
	
	public static final String WAND_ICON = "wand";
	public static final String WAND_CHARGED_ICON = "wand_charged";
	
	public static int CARD_ID;
	public static final String CARD_KEY = "Card";
	public static final int CARD_DEFAULT = 24202;
	
	public static final String CARD_UNLOCALIZED_NAME = "symbolCard";
	public static final String[] CARD_NAMES = {"Arrow Card", "Border Card", "Cross Card", "Custom Card"};
	
	public static final String[] CARD_ICONS = {"card_arrow", "card_box", "card_cross", "card_custom"};
	
	public static int DROID_ID;
	public static final String DROID_KEY = "Droid";
	public static final int DROID_DEFAULT = 24203;

	public static final String DROID_UNLOCALIZED_NAME = "droidItem";
	public static final String DROID_NAME = "Floating Droid";

	public static final String DROID_ICON = "droidItem";	
	
	
	public static int CHARGER_ID;
	public static final String CHARGER_KEY = "ColorCharger";
	public static final int CHARGER_DEFAULT = 24204;

	public static final String CHARGER_UNLOCALIZED_NAME = "colorCharger";
	public static final String CHARGER_NAME = "Color Charger";

	public static final String CHARGER_TEXTURE = "charger_";
	public static final String[] CHARGER_COLORS = {"White", "Red", "Green", "Blue"};
	public static final GuiColor[] CHARGER_COLOR_TAGS = {GuiColor.WHITE, GuiColor.RED, GuiColor.GREEN, GuiColor.BLUE};

}
