package inventory;


import java.awt.Color;
import dragons.PlayerDragon;

public class FirePotion extends Potion {
 
    public FirePotion(String name, int amount) {
        super(name, amount);
    }
    
    @Override
    public Color getPotionColor() {
        return Color.orange;
    }
    
    @Override
    public void useItem(PlayerDragon player) {
        player.restoreFire(3);
        --amount;
    }
    
}